Monthly Usage History

GET /teams/usage/monthly

Get monthly usage history for your team over the past N months.

TOKEN

Authentication

This endpoint requires an API token. You can learn more about how to get an API token from the authentication page.

URL

https://api.podengine.ai/api/v1/teams/usage/monthly

Code Example

API Specification

Query Parameters

PropertyTypeDescription
months
number ⓘ

Constraints:

>= 1<= 24

Number of months of history to return

200

Success Response

PropertyTypeDescription
status
literal: OK

data
object

months
array
of
object

Monthly usage entries sorted by month ascending

month
string ⓘ

Constraints:

regex

Month in YYYY-MM format

totalUsage
number ⓘ

Constraints:

>= 0

Total requests in this month

usageByAlias
record

Usage count per alias for this month

limits
record

Current monthly limits per alias